<h3> Let us know more about yourself </h3>


<%= render layout: 'form' do |f| %>
  <%= f.hidden_field :current_step, value: 'step_two' %>
  <div class="row">
    <div class="col-md-3">
      <%= f.text_field :existing_email, :class => 'form-control', placeholder: 'Existing Email' %>
    </div>
    <div class="col-md-3">
      <%= f.text_field :mobile_no, :class => 'form-control', placeholder: 'Mobile No.' %>
    </div>
  </div>

  <div class="row mt-4">
    <div class="col-md-6">
    <%= f.select :country_id, Country.pluck(:name, :id), { prompt: 'Choose Country' }, { class: "form-control" } %>
    </div>
  </div>

  <% if @user_role.include?('student') %>
    <div class="form-group mt-3 col-md-6">
      <%= f.text_field :educational_institution_website, :class => 'form-control', placeholder: 'Educational institution website' %>
    </div>

    <div class="form-group mt-3 col-md-6">
      <%= f.date_field :course_completion_date, :class => 'form-control', placeholder: 'Expected date of course completion' %>
    </div>
  <% end %>

  <div class="form-group mt-3 col-md-6">
    <label for="inputAddress">Which service are you more interested in?</label>
    <%= f.select :service_interested_in, ['Professional Networking', 'Professional yourname@doctor email', 'Appointment Booking', 'Video Chat'], {}, {class: "form-control"} %>
  </div>

  <div class="form-group mt-3 col-md-6">
    <label for="inputAddress"> <%= govt_id_label(@user_role) %> </label>
    <%= f.file_field :govt_id_proof, class: 'form-control' %>
  </div>

  <div class="form-group mt-3 mb-3 col-md-6">
    <% if %w[doctor hcp].include?(@user_role) %>
      <label for="inputAddress">Upload your License / ID</label>
      <%= f.file_field :license, class: 'form-control' %>
    <% elsif @user_role.include?('student') %>
      <label for="inputAddress">Upload your College / University Id</label>
      <%= f.file_field :college_id, class: 'form-control' %>
    <% end %>  
  </div>

<% end %>